## CamelFilterOutputStream

CamelFilterOutputStream — Filtered output stream

## Functions

GOutputStream * | camel_filter_output_stream_new ()
CamelMimeFilter * | camel_filter_output_stream_get_filter ()

## Properties

CamelMimeFilter * | filter | Read / Write / Construct Only

## Types and Values

struct | CamelFilterOutputStream

## Object Hierarchy

        GObject
        ╰── GOutputStream
            ╰── GFilterOutputStream
                ╰── CamelFilterOutputStream

## Includes

    #include <camel/camel.h>

## Description

CamelFilterOutputStream is similar to GConverterOutputStream, except it operates on a CamelMimeFilter instead of a GConverter.

This class is meant to be a temporary solution until all of Camel's MIME filters are ported to the GConverter interface.

## Functions

### camel_filter_output_stream_new ()

    GOutputStream *
    camel_filter_output_stream_new (GOutputStream *base_stream,
                                    CamelMimeFilter *filter);

Creates a new filtered output stream for the `base_stream` .

#### Parameters

base_stream | a GOutputStream |
filter | a CamelMimeFilter |

#### Returns

a new GOutputStream

Since 3.12

### camel_filter_output_stream_get_filter ()

    CamelMimeFilter *
    camel_filter_output_stream_get_filter (CamelFilterOutputStream *filter_stream);

Gets the CamelMimeFilter that is used by `filter_stream` .

#### Parameters

filter_stream | a CamelFilterOutputStream |

#### Returns

a CamelMimeFilter

Since 3.12

## Types and Values

### struct CamelFilterOutputStream

    struct CamelFilterOutputStream;

## Property Details

### The `“filter”` property

      “filter”                   CamelMimeFilter *

The MIME filter object.

Flags: Read / Write / Construct Only

## See Also

GOutputStream, CamelMimeFilter